<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="cy__sysint_8c" kind="file" language="C++">
    <compoundname>cy_sysint.c</compoundname>
    <includes local="yes" refid="cy__sysint_8h">cy_sysint.h</includes>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1gab2ff6820a898e9af3f780000054eea5d" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga01619b224f9d5c23915e51783ea184c8">cy_en_sysint_status_t</ref></type>
        <definition>cy_en_sysint_status_t Cy_SysInt_Init</definition>
        <argsstring>(const cy_stc_sysint_t *config, cy_israddress userIsr)</argsstring>
        <name>Cy_SysInt_Init</name>
        <param>
          <type>const <ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref> *</type>
          <declname>config</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
          <declname>userIsr</declname>
        </param>
        <briefdescription>
<para>Initializes the referenced interrupt by setting the priority and the interrupt vector. </para>        </briefdescription>
        <detaileddescription>
<para>Use the CMSIS core function NVIC_EnableIRQ(config.intrSrc) to enable the interrupt.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>config</parametername>
</parameternamelist>
<parameterdescription>
<para>Interrupt configuration structure</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>userIsr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the ISR</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Initialization status</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The interrupt vector will be relocated only if the vector table was moved to __ramVectors in SRAM. Otherwise it is ignored.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Vector<sp />table<sp />is<sp />relocated<sp />to<sp />RAM<sp />in<sp />__ramVectors[]<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Prototype<sp />of<sp />ISR<sp />function<sp />for<sp />port<sp />interrupt<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Interrupt_Handler_Port0<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref><sp />intrCfg<sp />=</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#if<sp />(CY_CPU_CORTEX_M0P)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrSrc<sp />=*/</highlight><highlight class="normal"><sp />NvicMux7_IRQn,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />CM0+<sp />interrupt<sp />is<sp />NVIC<sp />#7<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.cm0pSrc<sp />=*/</highlight><highlight class="normal"><sp />ioss_interrupts_gpio_0_IRQn,<sp /></highlight><highlight class="comment">/*<sp />Source<sp />of<sp />NVIC<sp />#7<sp />is<sp />GPIO<sp />port<sp />0<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrPriority<sp />=*/</highlight><highlight class="normal"><sp />2UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Interrupt<sp />priority<sp />is<sp />2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#else</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrSrc<sp />=*/</highlight><highlight class="normal"><sp />ioss_interrupts_gpio_0_IRQn,<sp /></highlight><highlight class="comment">/*<sp />Interrupt<sp />source<sp />is<sp />GPIO<sp />port<sp />0<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*.intrPriority<sp />=*/</highlight><highlight class="normal"><sp />4UL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Interrupt<sp />priority<sp />is<sp />4<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />};</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Initialize<sp />the<sp />interrupt<sp />with<sp />vector<sp />at<sp />Interrupt_Handler_Port0()<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1gab2ff6820a898e9af3f780000054eea5d">Cy_SysInt_Init</ref>(&amp;intrCfg,<sp />&amp;Interrupt_Handler_Port0);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Enable<sp />the<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />NVIC_EnableIRQ(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="87" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="54" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="54" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysInt_SetInterruptSource</definition>
        <argsstring>(IRQn_Type IRQn, cy_en_intr_t devIntrSrc)</argsstring>
        <name>Cy_SysInt_SetInterruptSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
          <declname>devIntrSrc</declname>
        </param>
        <briefdescription>
<para>Configures the interrupt selection for the specified NVIC channel. </para>        </briefdescription>
        <detaileddescription>
<para>To disconnect the interrupt source from the NVIC channel use the <ref kindref="member" refid="group__group__sysint__functions_1ga7be24fe4952cebbba78e612463981287">Cy_SysInt_DisconnectInterruptSource</ref>.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>NVIC channel number connected to the CPU core.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>devIntrSrc</parametername>
</parameternamelist>
<parameterdescription>
<para>Device interrupt to be routed to the NVIC channel.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is available for CM0+ core only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Reconfigure<sp />the<sp />interrupt<sp />source<sp />of<sp />the<sp />NVIC<sp />input<sp />on<sp />the<sp />CM0+</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />core<sp />at<sp />run-time.<sp />The<sp />interrupt<sp />was<sp />initialized<sp />with<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"intrCfg"<sp />configuration<sp />struct.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_M4CPUSS_VERSION<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(disconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1gacc962aa9f81be5df394ccf2ff746270b">Cy_SysInt_GetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />==<sp />2<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(unconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932">Cy_SysInt_GetNvicConnection</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />interrupt<sp />source<sp />for<sp />intrCfg.intrSrc<sp />on<sp />CM0+<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="133" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="113" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="113" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1ga7be24fe4952cebbba78e612463981287" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>void</type>
        <definition>void Cy_SysInt_DisconnectInterruptSource</definition>
        <argsstring>(IRQn_Type IRQn, cy_en_intr_t devIntrSrc)</argsstring>
        <name>Cy_SysInt_DisconnectInterruptSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
          <declname>devIntrSrc</declname>
        </param>
        <briefdescription>
<para>Disconnect the interrupt source from the specified NVIC channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>NVIC channel number connected to the CPU core. This parameter is ignored for devices using CPUSS_ver2.</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>devIntrSrc</parametername>
</parameternamelist>
<parameterdescription>
<para>Device interrupt routed to the NVIC channel. This parameter is ignored for devices using CPUSS_ver1.</para></parameterdescription>
</parameteritem>
</parameterlist>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is available for CM0+ core only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Disconnect<sp />the<sp />previously<sp />connected<sp />interrupt<sp />source<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7be24fe4952cebbba78e612463981287">Cy_SysInt_DisconnectInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="166" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="156" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="156" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1gacc962aa9f81be5df394ccf2ff746270b" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
        <definition>cy_en_intr_t Cy_SysInt_GetInterruptSource</definition>
        <argsstring>(IRQn_Type IRQn)</argsstring>
        <name>Cy_SysInt_GetInterruptSource</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <briefdescription>
<para>Gets the interrupt source of the NVIC channel. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>NVIC channel number connected to the CPU core</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Device interrupt connected to the NVIC channel. A returned value of "disconnected_IRQn" indicates that the interrupt source is disconnected.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is available for CM0+ core only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function supports only devices using CPUSS_ver1. For all other devices, use the &lt;a href="group__group__sysint__functions.html#group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932"&gt;Cy_SysInt_GetNvicConnection()&lt;/a&gt; function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Reconfigure<sp />the<sp />interrupt<sp />source<sp />of<sp />the<sp />NVIC<sp />input<sp />on<sp />the<sp />CM0+</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />core<sp />at<sp />run-time.<sp />The<sp />interrupt<sp />was<sp />initialized<sp />with<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"intrCfg"<sp />configuration<sp />struct.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_M4CPUSS_VERSION<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(disconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1gacc962aa9f81be5df394ccf2ff746270b">Cy_SysInt_GetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />==<sp />2<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(unconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932">Cy_SysInt_GetNvicConnection</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />interrupt<sp />source<sp />for<sp />intrCfg.intrSrc<sp />on<sp />CM0+<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="208" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="191" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="191" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
        <definition>IRQn_Type Cy_SysInt_GetNvicConnection</definition>
        <argsstring>(cy_en_intr_t devIntrSrc)</argsstring>
        <name>Cy_SysInt_GetNvicConnection</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
          <declname>devIntrSrc</declname>
        </param>
        <briefdescription>
<para>Gets the NVIC channel to which the interrupt source is connected. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>devIntrSrc</parametername>
</parameternamelist>
<parameterdescription>
<para>Device interrupt that is potentially connected to the NVIC channel.</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>NVIC channel number connected to the CPU core. A returned value of "unconnected_IRQn" indicates that the interrupt source is disabled.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is available for CM0+ core only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function supports only devices using CPUSS_ver2 or higher.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Reconfigure<sp />the<sp />interrupt<sp />source<sp />of<sp />the<sp />NVIC<sp />input<sp />on<sp />the<sp />CM0+</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />core<sp />at<sp />run-time.<sp />The<sp />interrupt<sp />was<sp />initialized<sp />with<sp />the</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />"intrCfg"<sp />configuration<sp />struct.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_IP_M4CPUSS_VERSION<sp />==<sp />1)</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(disconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1gacc962aa9f81be5df394ccf2ff746270b">Cy_SysInt_GetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#else<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />==<sp />2<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(unconnected_IRQn<sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932">Cy_SysInt_GetNvicConnection</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />CY_IP_M4CPUSS_VERSION<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />interrupt<sp />source<sp />for<sp />intrCfg.intrSrc<sp />on<sp />CM0+<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="241" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="232" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="232" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1ga9e42b44b1946290e12f25ff5042f1fc0" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref></type>
        <definition>cy_en_intr_t Cy_SysInt_GetInterruptActive</definition>
        <argsstring>(IRQn_Type IRQn)</argsstring>
        <name>Cy_SysInt_GetInterruptActive</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <briefdescription>
<para>Gets the highest priority active interrupt for the selected NVIC channel. </para>        </briefdescription>
        <detaileddescription>
<para>The priority of the interrupt in a given channel is determined by the index value of the interrupt in the cy_en_intr_t enum. The lower the index, the higher the priority. E.g. Consider a case where an interrupt source with value 29 and an interrupt source with value 46 both source the same NVIC channel. If both are active (triggered) at the same time, calling <ref kindref="member" refid="group__group__sysint__functions_1ga9e42b44b1946290e12f25ff5042f1fc0">Cy_SysInt_GetInterruptActive()</ref> will return 29 as the active interrupt.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>NVIC channel number connected to the CPU core</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Device interrupt connected to the NVIC channel. A returned value of "disconnected_IRQn" indicates that there are no active (pending) interrupts on this NVIC channel.</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function is available for CM0+ core only.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;This function supports only devices using CPUSS_ver2 or higher.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Inside<sp />the<sp />interrupt<sp />service<sp />routine<sp />for<sp />NvicMux7_IRQn:<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref><sp />==<sp /><ref kindref="member" refid="group__group__sysint__functions_1ga9e42b44b1946290e12f25ff5042f1fc0">Cy_SysInt_GetInterruptActive</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Handle<sp />the<sp />ioss_interrupts_gpio_0_IRQn<sp />interrupt<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="283" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="273" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="273" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1ga6628d90db5d0e0e8801535e2f1519266" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
        <definition>cy_israddress Cy_SysInt_SetVector</definition>
        <argsstring>(IRQn_Type IRQn, cy_israddress userIsr)</argsstring>
        <name>Cy_SysInt_SetVector</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
          <declname>userIsr</declname>
        </param>
        <briefdescription>
<para>Changes the ISR vector for the interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>This function relies on the assumption that the vector table is relocated to __ramVectors[RAM_VECTORS_SIZE] in SRAM. Otherwise it will return the address of the default ISR location in the flash vector table.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>Interrupt source</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>userIsr</parametername>
</parameternamelist>
<parameterdescription>
<para>Address of the ISR to set in the interrupt vector table</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Previous address of the ISR in the interrupt vector table</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;For CM0+, this function sets the interrupt vector for the interrupt channel on the NVIC.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Vector<sp />table<sp />is<sp />relocated<sp />to<sp />RAM<sp />in<sp />__ramVectors[].<sp />The<sp />interrupt</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />was<sp />initialized<sp />with<sp />the<sp />"intrCfg"<sp />configuration<sp />struct.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Prototype<sp />of<sp />ISR<sp />function<sp />for<sp />port<sp />interrupt<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Interrupt_Handler_Port0<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(&amp;Interrupt_Handler_Port0<sp />!=<sp /><ref kindref="member" refid="group__group__sysint__functions_1gac3feeb7969667eebe109ecab98dbfbb2">Cy_SysInt_GetVector</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />port0<sp />interrupt<sp />vector<sp />to<sp />be<sp />at<sp />Interrupt_Handler_Port0()<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysint__functions_1ga6628d90db5d0e0e8801535e2f1519266">Cy_SysInt_SetVector</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />&amp;Interrupt_Handler_Port0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="332" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="314" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="314" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__sysint__functions_1gac3feeb7969667eebe109ecab98dbfbb2" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref></type>
        <definition>cy_israddress Cy_SysInt_GetVector</definition>
        <argsstring>(IRQn_Type IRQn)</argsstring>
        <name>Cy_SysInt_GetVector</name>
        <param>
          <type><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref></type>
          <declname>IRQn</declname>
        </param>
        <briefdescription>
<para>Gets the address of the current ISR vector for the interrupt. </para>        </briefdescription>
        <detaileddescription>
<para>This function relies on the assumption that the vector table is relocated to __ramVectors[RAM_VECTORS_SIZE] in SRAM. Otherwise it will return the address of the default ISR location in the flash vector table.</para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>IRQn</parametername>
</parameternamelist>
<parameterdescription>
<para>Interrupt source</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Address of the ISR in the interrupt vector table</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;For CM0+, this function returns the interrupt vector for the interrupt channel on the NVIC.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Vector<sp />table<sp />is<sp />relocated<sp />to<sp />RAM<sp />in<sp />__ramVectors[].<sp />The<sp />interrupt</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />was<sp />initialized<sp />with<sp />the<sp />"intrCfg"<sp />configuration<sp />struct.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Prototype<sp />of<sp />ISR<sp />function<sp />for<sp />port<sp />interrupt<sp />0<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordtype">void</highlight><highlight class="normal"><sp />Interrupt_Handler_Port0<sp />(</highlight><highlight class="keywordtype">void</highlight><highlight class="normal">);</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(&amp;Interrupt_Handler_Port0<sp />!=<sp /><ref kindref="member" refid="group__group__sysint__functions_1gac3feeb7969667eebe109ecab98dbfbb2">Cy_SysInt_GetVector</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>))</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />port0<sp />interrupt<sp />vector<sp />to<sp />be<sp />at<sp />Interrupt_Handler_Port0()<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysint__functions_1ga6628d90db5d0e0e8801535e2f1519266">Cy_SysInt_SetVector</ref>(intrCfg.<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />&amp;Interrupt_Handler_Port0);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="373" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" bodystart="358" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" line="358" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Provides an API implementation of the SysInt driver. </para>    </briefdescription>
    <detaileddescription>
<para><simplesect kind="version"><para>1.30.1</para></simplesect>
<simplesect kind="copyright"><para>Copyright 2016-2020 Cypress Semiconductor Corporation SPDX-License-Identifier: Apache-2.0</para></simplesect>
Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License. You may obtain a copy of the License at <verbatim>http://www.apache.org/licenses/LICENSE-2.0
</verbatim></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/***************************************************************************/</highlight></codeline>
<codeline lineno="26"><highlight class="preprocessor">#include<sp />"cy_sysint.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="27"><highlight class="normal" /></codeline>
<codeline lineno="28"><highlight class="normal" /></codeline>
<codeline lineno="29"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="30"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_Init</highlight></codeline>
<codeline lineno="31"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="54"><highlight class="normal"><ref kindref="member" refid="group__group__sysint__enums_1ga01619b224f9d5c23915e51783ea184c8">cy_en_sysint_status_t</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1gab2ff6820a898e9af3f780000054eea5d">Cy_SysInt_Init</ref>(</highlight><highlight class="keyword">const</highlight><highlight class="normal"><sp /><ref kindref="compound" refid="structcy__stc__sysint__t">cy_stc_sysint_t</ref>*<sp />config,<sp /><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp />userIsr)</highlight></codeline>
<codeline lineno="55"><highlight class="normal">{</highlight></codeline>
<codeline lineno="56"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__enums_1ga01619b224f9d5c23915e51783ea184c8">cy_en_sysint_status_t</ref><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__sysint__enums_1gga01619b224f9d5c23915e51783ea184c8af7db469e7f8cd5cb7917d1324005eb89">CY_SYSINT_SUCCESS</ref>;</highlight></codeline>
<codeline lineno="57"><highlight class="normal" /></codeline>
<codeline lineno="58"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(NULL<sp />!=<sp />config)</highlight></codeline>
<codeline lineno="59"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="60"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gaea99c6824b32df70dbeb97d87d5410a1">CY_ASSERT_L3</ref>(CY_SYSINT_IS_PRIORITY_VALID(config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a97b1a2acb12257a8b213a5e971ceae3d">intrPriority</ref>));</highlight></codeline>
<codeline lineno="61"><highlight class="normal" /></codeline>
<codeline lineno="62"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#if<sp />(CY_CPU_CORTEX_M0P)</highlight><highlight class="normal" /></codeline>
<codeline lineno="63"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref><sp />&gt;<sp />SysTick_IRQn)</highlight></codeline>
<codeline lineno="64"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="65"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a6b8e5744e04c2bb15c10afdb8a96d6b7">cm0pSrc</ref>);</highlight></codeline>
<codeline lineno="66"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="67"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="68"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="69"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__sysint__enums_1gga01619b224f9d5c23915e51783ea184c8ad832bf40b083bde34b586c79fbc11270">CY_SYSINT_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="70"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="71"><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="72"><highlight class="normal" /></codeline>
<codeline lineno="73"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />NVIC_SetPriority(config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a97b1a2acb12257a8b213a5e971ceae3d">intrPriority</ref>);</highlight></codeline>
<codeline lineno="74"><highlight class="normal" /></codeline>
<codeline lineno="75"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />new<sp />vector<sp />only<sp />if<sp />it<sp />was<sp />moved<sp />to<sp />__ramVectors<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="76"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(SCB-&gt;VTOR<sp />==<sp />(uint32_t)&amp;<ref kindref="member" refid="group__group__sysint__globals_1gab1fe5e4517512392e2b7d44241d9e613">__ramVectors</ref>)</highlight></codeline>
<codeline lineno="77"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="78"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />(void)<ref kindref="member" refid="group__group__sysint__functions_1ga6628d90db5d0e0e8801535e2f1519266">Cy_SysInt_SetVector</ref>(config-&gt;<ref kindref="member" refid="structcy__stc__sysint__t_1a6da08d81da65a7f93d3e4c46a4b8d950">intrSrc</ref>,<sp />userIsr);</highlight></codeline>
<codeline lineno="79"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="80"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="81"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="82"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="83"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />status<sp />=<sp /><ref kindref="member" refid="group__group__sysint__enums_1gga01619b224f9d5c23915e51783ea184c8ad832bf40b083bde34b586c79fbc11270">CY_SYSINT_BAD_PARAM</ref>;</highlight></codeline>
<codeline lineno="84"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="85"><highlight class="normal" /></codeline>
<codeline lineno="86"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal">(status);</highlight></codeline>
<codeline lineno="87"><highlight class="normal">}</highlight></codeline>
<codeline lineno="88"><highlight class="normal" /></codeline>
<codeline lineno="89"><highlight class="normal" /></codeline>
<codeline lineno="90"><highlight class="normal" /><highlight class="preprocessor">#if<sp />(CY_CPU_CORTEX_M0P)<sp />||<sp />defined<sp />(CY_DOXYGEN)</highlight><highlight class="normal" /></codeline>
<codeline lineno="91"><highlight class="normal" /></codeline>
<codeline lineno="92"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="93"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_SetInterruptSource</highlight></codeline>
<codeline lineno="94"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="113"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn,<sp /><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref><sp />devIntrSrc)</highlight></codeline>
<codeline lineno="114"><highlight class="normal">{</highlight></codeline>
<codeline lineno="115"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CPUSS_V1)</highlight></codeline>
<codeline lineno="116"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="117"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />regPos<sp />=<sp />((uint32_t)IRQn<sp />&gt;&gt;<sp />CY_SYSINT_CM0P_MUX_SHIFT);</highlight></codeline>
<codeline lineno="118"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(0UL<sp />==<sp />(regPos<sp />&amp;<sp />(uint32_t)~CY_SYSINT_MUX_REG_MSK))</highlight></codeline>
<codeline lineno="119"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="120"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />bitfield_Pos<sp />=<sp />(uint32_t)((uint32_t)IRQn<sp />-<sp />(uint32_t)(regPos<sp />&lt;&lt;<sp />CY_SYSINT_CM0P_MUX_SHIFT))<sp />&lt;&lt;<sp />CY_SYSINT_CM0P_MUX_SCALE;</highlight></codeline>
<codeline lineno="121"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />bitfield_Msk<sp />=<sp />(uint32_t)(CY_SYSINT_CM0P_MUX_MASK<sp />&lt;&lt;<sp />bitfield_Pos);</highlight></codeline>
<codeline lineno="122"><highlight class="normal" /></codeline>
<codeline lineno="123"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CY_REG32_CLR_SET(CPUSS_CM0_INT_CTL[regPos],<sp />bitfield,<sp />devIntrSrc);</highlight></codeline>
<codeline lineno="124"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="125"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="126"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />CPUSS_V2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="127"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="128"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(CY_CPUSS_DISCONNECTED_IRQN<sp />!=<sp />devIntrSrc);<sp /></highlight><highlight class="comment">/*<sp />Disconnection<sp />feature<sp />doesn't<sp />work<sp />for<sp />CPUSS_V2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="129"><highlight class="normal" /></codeline>
<codeline lineno="130"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CPUSS_CM0_SYSTEM_INT_CTL[devIntrSrc]<sp />=<sp />_VAL2FLD(CPUSS_V2_CM0_SYSTEM_INT_CTL_CPU_INT_IDX,<sp />IRQn)</highlight></codeline>
<codeline lineno="131"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />|<sp />CPUSS_V2_CM0_SYSTEM_INT_CTL_CPU_INT_VALID_Msk;</highlight></codeline>
<codeline lineno="132"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="133"><highlight class="normal">}</highlight></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="135"><highlight class="normal" /></codeline>
<codeline lineno="136"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="137"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_DisconnectInterruptSource</highlight></codeline>
<codeline lineno="138"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="156"><highlight class="keywordtype">void</highlight><highlight class="normal"><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7be24fe4952cebbba78e612463981287">Cy_SysInt_DisconnectInterruptSource</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn,<sp /><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref><sp />devIntrSrc)</highlight></codeline>
<codeline lineno="157"><highlight class="normal">{</highlight></codeline>
<codeline lineno="158"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CPUSS_V1)</highlight></codeline>
<codeline lineno="159"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="160"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga59e3d1e09d83aa163865bcf5f363d7c3">Cy_SysInt_SetInterruptSource</ref>(IRQn,<sp />CY_CPUSS_DISCONNECTED_IRQN);</highlight></codeline>
<codeline lineno="161"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="162"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal"><sp /></highlight><highlight class="comment">/*<sp />CPUSS_V2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="164"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />CPUSS_CM0_SYSTEM_INT_CTL[devIntrSrc]<sp />&amp;=<sp />(uint32_t)~<sp />CPUSS_V2_CM0_SYSTEM_INT_CTL_CPU_INT_VALID_Msk;</highlight></codeline>
<codeline lineno="165"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="166"><highlight class="normal">}</highlight></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
<codeline lineno="168"><highlight class="normal" /></codeline>
<codeline lineno="169"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="170"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_GetInterruptSource</highlight></codeline>
<codeline lineno="171"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="191"><highlight class="normal"><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1gacc962aa9f81be5df394ccf2ff746270b">Cy_SysInt_GetInterruptSource</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn)</highlight></codeline>
<codeline lineno="192"><highlight class="normal">{</highlight></codeline>
<codeline lineno="193"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tempReg<sp />=<sp />CY_CPUSS_NOT_CONNECTED_IRQN;</highlight></codeline>
<codeline lineno="194"><highlight class="normal" /></codeline>
<codeline lineno="195"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(CY_CPUSS_V1)</highlight></codeline>
<codeline lineno="196"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="197"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />regPos<sp /><sp />=<sp />((uint32_t)IRQn<sp />&gt;&gt;<sp />CY_SYSINT_CM0P_MUX_SHIFT);</highlight></codeline>
<codeline lineno="198"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(0UL<sp />==<sp />(regPos<sp />&amp;<sp />(uint32_t)~CY_SYSINT_MUX_REG_MSK))</highlight></codeline>
<codeline lineno="199"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="200"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />bitfield_Pos<sp /><sp />=<sp />((uint32_t)IRQn<sp />-<sp />(regPos<sp />&lt;&lt;<sp /><sp />CY_SYSINT_CM0P_MUX_SHIFT))<sp />&lt;&lt;<sp /><sp />CY_SYSINT_CM0P_MUX_SCALE;</highlight></codeline>
<codeline lineno="201"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />uint32_t<sp />bitfield_Msk<sp />=<sp />(uint32_t)(CY_SYSINT_CM0P_MUX_MASK<sp />&lt;&lt;<sp />bitfield_Pos);</highlight></codeline>
<codeline lineno="202"><highlight class="normal" /></codeline>
<codeline lineno="203"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tempReg<sp />=<sp />_FLD2VAL(bitfield,<sp />CPUSS_CM0_INT_CTL[regPos]);</highlight></codeline>
<codeline lineno="204"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="205"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="206"><highlight class="normal" /></codeline>
<codeline lineno="207"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref>)tempReg);</highlight></codeline>
<codeline lineno="208"><highlight class="normal">}</highlight></codeline>
<codeline lineno="209"><highlight class="normal" /></codeline>
<codeline lineno="210"><highlight class="normal" /></codeline>
<codeline lineno="211"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="212"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_GetNvicConnection</highlight></codeline>
<codeline lineno="213"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="232"><highlight class="normal"><ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga7caa3ebc40ed414983d1330e01dbb932">Cy_SysInt_GetNvicConnection</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref><sp />devIntrSrc)</highlight></codeline>
<codeline lineno="233"><highlight class="normal">{</highlight></codeline>
<codeline lineno="234"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tempReg<sp />=<sp />CY_CPUSS_NOT_CONNECTED_IRQN;</highlight></codeline>
<codeline lineno="235"><highlight class="normal" /></codeline>
<codeline lineno="236"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((!CY_CPUSS_V1)<sp />&amp;&amp;<sp />(CY_SYSINT_ENABLE<sp />==<sp />_FLD2VAL(CPUSS_V2_CM0_SYSTEM_INT_CTL_CPU_INT_VALID,<sp />CPUSS_CM0_SYSTEM_INT_CTL[devIntrSrc])))</highlight></codeline>
<codeline lineno="237"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="238"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tempReg<sp />=<sp />_FLD2VAL(CPUSS_V2_CM0_SYSTEM_INT_CTL_CPU_INT_IDX,<sp />CPUSS_CM0_SYSTEM_INT_CTL[devIntrSrc]);</highlight></codeline>
<codeline lineno="239"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="240"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref>)tempReg);</highlight></codeline>
<codeline lineno="241"><highlight class="normal">}</highlight></codeline>
<codeline lineno="242"><highlight class="normal" /></codeline>
<codeline lineno="243"><highlight class="normal" /></codeline>
<codeline lineno="244"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="245"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_GetInterruptActive</highlight></codeline>
<codeline lineno="246"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="273"><highlight class="normal"><ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga9e42b44b1946290e12f25ff5042f1fc0">Cy_SysInt_GetInterruptActive</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn)</highlight></codeline>
<codeline lineno="274"><highlight class="normal">{</highlight></codeline>
<codeline lineno="275"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />tempReg<sp />=<sp />CY_CPUSS_NOT_CONNECTED_IRQN;</highlight></codeline>
<codeline lineno="276"><highlight class="normal"><sp /><sp /><sp /><sp />uint32_t<sp />locIdx<sp />=<sp />(uint32_t)IRQn<sp />&amp;<sp />CY_SYSINT_INT_STATUS_MSK;</highlight></codeline>
<codeline lineno="277"><highlight class="normal" /></codeline>
<codeline lineno="278"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />((!CY_CPUSS_V1)<sp />&amp;&amp;<sp />(CY_SYSINT_ENABLE<sp />==<sp />_FLD2VAL(CPUSS_V2_CM0_INT0_STATUS_SYSTEM_INT_VALID,<sp />CPUSS_CM0_INT_STATUS[locIdx])))</highlight></codeline>
<codeline lineno="279"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="280"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />tempReg<sp />=<sp />_FLD2VAL(CPUSS_V2_CM0_INT0_STATUS_SYSTEM_INT_IDX,<sp />CPUSS_CM0_INT_STATUS[locIdx]);</highlight></codeline>
<codeline lineno="281"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="282"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />((<ref kindref="member" refid="group__group__sysint__enums_1ga8010dee187715cab833c8564fccedc20">cy_en_intr_t</ref>)tempReg);</highlight></codeline>
<codeline lineno="283"><highlight class="normal">}</highlight></codeline>
<codeline lineno="284"><highlight class="normal" /></codeline>
<codeline lineno="285"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="286"><highlight class="normal" /></codeline>
<codeline lineno="287"><highlight class="normal" /></codeline>
<codeline lineno="288"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="289"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_SetVector</highlight></codeline>
<codeline lineno="290"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="314"><highlight class="normal"><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1ga6628d90db5d0e0e8801535e2f1519266">Cy_SysInt_SetVector</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn,<sp /><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp />userIsr)</highlight></codeline>
<codeline lineno="315"><highlight class="normal">{</highlight></codeline>
<codeline lineno="316"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp />prevIsr;</highlight></codeline>
<codeline lineno="317"><highlight class="normal" /></codeline>
<codeline lineno="318"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Set<sp />the<sp />new<sp />vector<sp />only<sp />if<sp />it<sp />was<sp />moved<sp />to<sp />__ramVectors<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="319"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(SCB-&gt;VTOR<sp />==<sp />(uint32_t)&amp;__ramVectors)</highlight></codeline>
<codeline lineno="320"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="321"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros__assert_1gabb4e5c6e694fe418794cbd8f93301532">CY_ASSERT_L1</ref>(CY_SYSINT_IS_VECTOR_VALID(userIsr));</highlight></codeline>
<codeline lineno="322"><highlight class="normal" /></codeline>
<codeline lineno="323"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />prevIsr<sp />=<sp />__ramVectors[CY_INT_IRQ_BASE<sp />+<sp />IRQn];</highlight></codeline>
<codeline lineno="324"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />__ramVectors[CY_INT_IRQ_BASE<sp />+<sp />IRQn]<sp />=<sp />userIsr;</highlight></codeline>
<codeline lineno="325"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="326"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="327"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="328"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />prevIsr<sp />=<sp /><ref kindref="member" refid="group__group__sysint__globals_1ga0b785674909134a8a4045949824befc8">__Vectors</ref>[CY_INT_IRQ_BASE<sp />+<sp />IRQn];</highlight></codeline>
<codeline lineno="329"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="330"><highlight class="normal" /></codeline>
<codeline lineno="331"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(prevIsr);</highlight></codeline>
<codeline lineno="332"><highlight class="normal">}</highlight></codeline>
<codeline lineno="333"><highlight class="normal" /></codeline>
<codeline lineno="334"><highlight class="normal" /></codeline>
<codeline lineno="335"><highlight class="normal" /><highlight class="comment">/*******************************************************************************</highlight></codeline>
<codeline lineno="336"><highlight class="comment">*<sp />Function<sp />Name:<sp />Cy_SysInt_GetVector</highlight></codeline>
<codeline lineno="337"><highlight class="comment">****************************************************************************/</highlight></codeline>
<codeline lineno="358"><highlight class="normal"><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp /><ref kindref="member" refid="group__group__sysint__functions_1gac3feeb7969667eebe109ecab98dbfbb2">Cy_SysInt_GetVector</ref>(<ref kindref="member" refid="group__group__sysint__enums_1ga7e1129cd8a196f4284d41db3e82ad5c8">IRQn_Type</ref><sp />IRQn)</highlight></codeline>
<codeline lineno="359"><highlight class="normal">{</highlight></codeline>
<codeline lineno="360"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__syslib__macros_1ga71c09beda7671d1f69c8f06a546e2ae6">cy_israddress</ref><sp />currIsr;</highlight></codeline>
<codeline lineno="361"><highlight class="normal" /></codeline>
<codeline lineno="362"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Return<sp />the<sp />SRAM<sp />ISR<sp />address<sp />only<sp />if<sp />it<sp />was<sp />moved<sp />to<sp />__ramVectors<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="363"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal"><sp />(SCB-&gt;VTOR<sp />==<sp />(uint32_t)&amp;__ramVectors)</highlight></codeline>
<codeline lineno="364"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="365"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />currIsr<sp />=<sp />__ramVectors[CY_INT_IRQ_BASE<sp />+<sp />IRQn];</highlight></codeline>
<codeline lineno="366"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="367"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">else</highlight><highlight class="normal" /></codeline>
<codeline lineno="368"><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline lineno="369"><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />currIsr<sp />=<sp /><ref kindref="member" refid="group__group__sysint__globals_1ga0b785674909134a8a4045949824befc8">__Vectors</ref>[CY_INT_IRQ_BASE<sp />+<sp />IRQn];</highlight></codeline>
<codeline lineno="370"><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline lineno="371"><highlight class="normal" /></codeline>
<codeline lineno="372"><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">return</highlight><highlight class="normal"><sp />(currIsr);</highlight></codeline>
<codeline lineno="373"><highlight class="normal">}</highlight></codeline>
<codeline lineno="374"><highlight class="normal" /></codeline>
<codeline lineno="375"><highlight class="normal" /></codeline>
<codeline lineno="376"><highlight class="normal" /><highlight class="comment">/*<sp />[]<sp />END<sp />OF<sp />FILE<sp />*/</highlight><highlight class="normal" /></codeline>
    </programlisting>
    <location file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_sysint.c" />
  </compounddef>
</doxygen>